Project

General

Profile

Tâche #26315

Scénario #23324: Prendre en compte les caractères en capitale dans les noms d'hôtes

Le chargement des formulaires DHCP sur Seth lève une exception

Added by Daniel Dehennin over 2 years ago. Updated over 2 years ago.

Status:
Fermé
Priority:
Normal
Assigned To:
Start date:
12/20/2018
Due date:
% Done:

100%

Estimated time:
2.00 h
Remaining (hours):
0.0

Description

Le chargement du formulaire dhcpactivation renvoi le message d’erreur suivant :

An error occured: La fonction eosfunc.uploaded_files(['.zip'], "Aucun fichier téléversé depuis l'action 'Gérer les fichiers'") est inconnue

Le chargement du formulaire dhcp renvoi le message d’erreur suivant :

The minion function caused an exception: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/creole/annotator.py", line 1322, in load_params_in_validenum values = eval(param.text) File "<string>", line 1, in <module> File "/usr/share/creole/funcs/uploadedfiles.py", line 16, in uploaded_files _DIRECTORY = json.load(file(CONF_FILE)).get("UPLOAD_FOLDER","") NameError: name 'file' is not defined During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/salt/minion.py", line 1493, in _thread_return return_data = executor.execute() File "/usr/lib/python3/dist-packages/salt/executors/direct_call.py", line 28, in execute return self.func(*self.args, **self.kwargs) File "/var/cache/salt/minion/extmods/modules/ead/__init__.py", line 55, in func return getattr(module, function)(*args, **kwargs) File "/var/cache/salt/minion/extmods/modules/ead/dhcp/__init__.py", line 34, in wrapper cfg = _get_loader() File "/var/cache/salt/minion/extmods/modules/ead/dhcp/__init__.py", line 47, in _get_loader force_eoleextraconfig=_force_eoleextraconfig, reload_config=_reload_config) File "/usr/lib/python3/dist-packages/creole/loader.py", line 804, in creole_loader eolobj.space_visitor() File "/usr/lib/python3/dist-packages/creole/objspace.py", line 461, in space_visitor SpaceAnnotator(self.space, self.paths, self) File "/usr/lib/python3/dist-packages/creole/annotator.py", line 870, in __init__ self.filter_check(space.constraints.check) File "/usr/lib/python3/dist-packages/creole/annotator.py", line 1433, in filter_check values = self.load_params_in_validenum(param) File "/usr/lib/python3/dist-packages/creole/annotator.py", line 1326, in load_params_in_validenum raise CreoleDictConsistencyError(_('The function {} is unknown').format(param.text)) creole.error.CreoleDictConsistencyError: La fonction eosfunc.uploaded_files(['.zip'], "Aucun fichier téléversé depuis l'action 'Gérer les fichiers'") est inconnue

Associated revisions

Revision 03883b0a (diff)
Added by Daniel Dehennin over 2 years ago

The “eosfunc.uploaded_files()” is unknow when loading DHCP forms

The code is loaded as python3 and the “file()” function does not
exists anymore.

  • creole/funcs/uploadedfiles.py (uploaded_files): replace “file()”
    call with “open()”.

Ref: #26315

History

#1 Updated by Daniel Dehennin over 2 years ago

  • Status changed from Nouveau to En cours

#2 Updated by Daniel Dehennin over 2 years ago

  • Assigned To set to Daniel Dehennin

#3 Updated by Daniel Dehennin over 2 years ago

  • % Done changed from 0 to 100
  • Remaining (hours) changed from 2.0 to 0.0

#4 Updated by Scrum Master over 2 years ago

  • Status changed from En cours to Résolu

#5 Updated by Gilles Grandgérard over 2 years ago

  • Status changed from Résolu to Fermé

Also available in: Atom PDF